Attribute VB_Name = "AddBanner"
Public Sub SendWithBanner(objItem As Object)
    
'=================================================================
'Description: Outlook macro to automatically add a banner at the
'             top of an outgoing HTML formatted message.
'
'Comment: You can set the location (URL) and size of the image at
'         the top of the code as well as the destination URL when
'         someone clicks on the banner. By default, you'll get
'         prompted whether or not the banner must be added but
'	  this can disabled by setting PromptSend to False.
'         A call to the macro must be made from ThisOutlookSession
'         via the Application_ItemSend event.
'
' author : Robert Sparnaaij
' version: 1.0
' website: http://www.howto-outlook.com/howto/topbanner.htm
'=================================================================
    
    Dim BannerURL As String
    Dim BannerTargetURL As String
    Dim BannerWidth As Integer
    Dim BannerHeight As Integer
    Dim PromptSend As Boolean
    
    '==================BEGIN MODIFY ================================================
    BannerURL = "http://www.howto-outlook.com/pictures/howto-outlook-banner.png"
    BannerTargetURL = "http://www.howto-outlook.com"
    BannerWidth = 280
    BannerHeight = 90
    PromptSend = True
    '==================END MODIFY ==================================================
    
    If TypeOf objItem Is Outlook.MailItem And objItem.BodyFormat = olFormatHTML Then
        If PromptSend = True Then
            Dim Result As VbMsgBoxResult
            Result = MsgBox("Do you want to include your banner to this message?", _
                        vbQuestion + vbYesNo, "Add Banner")
            If Result = vbNo Then
                Exit Sub
            End If
        End If
    
        Dim strTopHTML As String
        strTopHTML = "<p><a href=""" & BannerTargetURL & """><img width=""" _
                        & BannerWidth & """ height=""" & BannerHeight & _
                        """ src=""" & BannerURL & """ /></a></p>"
        strHTMLBody = objItem.HTMLBody
        intTagStart = InStr(1, strHTMLBody, "<body", vbTextCompare)
        intTagEnd = InStr(intTagStart + 5, strHTMLBody, ">")
        strBodyTag = Mid(strHTMLBody, intTagStart, intTagEnd - intTagStart + 1)
        objItem.HTMLBody = Replace(strHTMLBody, strBodyTag, strBodyTag & strTopHTML)
        
    End If

End Sub